Qt 5.11 | Qt Multimedia | C++ Classes | QCameraFocusControl

Qt 5.11.3 Reference Documentation

# QCameraFocusControl Class

The QCameraFocusControl class supplies control for focusing related camera parameters. More...

Header: | #include <QCameraFocusControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraFocusControl()
virtual QPointF | customFocusPoint() const = 0
virtual QCameraFocus::FocusModes | focusMode() const = 0
virtual QCameraFocus::FocusPointMode | focusPointMode() const = 0
virtual QCameraFocusZoneList | focusZones() const = 0
virtual bool | isFocusModeSupported(QCameraFocus::FocusModes mode) const = 0
virtual bool | isFocusPointModeSupported(QCameraFocus::FocusPointMode mode) const = 0
virtual void | setCustomFocusPoint(const QPointF &point) = 0
virtual void | setFocusMode(QCameraFocus::FocusModes mode) = 0
virtual void | setFocusPointMode(QCameraFocus::FocusPointMode mode) = 0

## Signals

void | customFocusPointChanged(const QPointF &point)
void | focusModeChanged(QCameraFocus::FocusModes mode)
void | focusPointModeChanged(QCameraFocus::FocusPointMode mode)
void | focusZonesChanged()

## Protected Functions

| QCameraFocusControl(QObject *parent = nullptr)

## Macros

| QCameraFocusControl_iid

## Detailed Description

The QCameraFocusControl class supplies control for focusing related camera parameters.

The interface name of QCameraFocusControl is `org.qt-project.qt.camerafocuscontrol/5.0` as defined in QCameraFocusControl_iid.

See also QMediaService::requestControl() and QCamera.

## Member Function Documentation

### `[protected]` QCameraFocusControl::QCameraFocusControl(QObject *parent = nullptr)

Constructs a camera control object with parent.

### `[virtual]` QCameraFocusControl::~QCameraFocusControl()

Destruct the camera control object.

### `[pure virtual]` QPointF QCameraFocusControl::customFocusPoint() const

See also setCustomFocusPoint().

### `[signal]` void QCameraFocusControl::customFocusPointChanged(const QPointF &point)

### `[pure virtual]` QCameraFocus::FocusModes QCameraFocusControl::focusMode() const

See also setFocusMode().

### `[signal]` void QCameraFocusControl::focusModeChanged(QCameraFocus::FocusModes mode)

### `[pure virtual]` QCameraFocus::FocusPointMode QCameraFocusControl::focusPointMode() const

See also setFocusPointMode().

### `[signal]` void QCameraFocusControl::focusPointModeChanged(QCameraFocus::FocusPointMode mode)

### `[pure virtual]` QCameraFocusZoneList QCameraFocusControl::focusZones() const

### `[signal]` void QCameraFocusControl::focusZonesChanged()

### `[pure virtual]` bool QCameraFocusControl::isFocusModeSupported(QCameraFocus::FocusModes mode) const

### `[pure virtual]` bool QCameraFocusControl::isFocusPointModeSupported(QCameraFocus::FocusPointMode mode) const

### `[pure virtual]` void QCameraFocusControl::setCustomFocusPoint(const QPointF &point)

See also customFocusPoint().

### `[pure virtual]` void QCameraFocusControl::setFocusMode(QCameraFocus::FocusModes mode)

See also focusMode().

### `[pure virtual]` void QCameraFocusControl::setFocusPointMode(QCameraFocus::FocusPointMode mode)

See also focusPointMode().

## Macro Documentation

### QCameraFocusControl_iid

`org.qt-project.qt.camerafocuscontrol/5.0`

Defines the interface name of the QCameraFocusControl class.